## kexec-tools 2.0.6

=== kexec/Makefile ===
#
# kexec (linux booting linux)
#
PURGATORY_HEX_C = kexec/purgatory.c

$(PURGATORY_HEX_C): $(PURGATORY) $(BIN_TO_HEX)
	$(MKDIR) -p $(@D)
	$(BIN_TO_HEX) purgatory < $(PURGATORY) > $@

KEXEC_SRCS = $(KEXEC_SRCS_base)
KEXEC_GENERATED_SRCS =

KEXEC_SRCS_base += kexec/kexec.c
KEXEC_SRCS_base += kexec/ifdown.c
KEXEC_SRCS_base += kexec/kexec-elf.c
KEXEC_SRCS_base += kexec/kexec-elf-exec.c
KEXEC_SRCS_base += kexec/kexec-elf-core.c
KEXEC_SRCS_base += kexec/kexec-elf-rel.c
KEXEC_SRCS_base += kexec/kexec-elf-boot.c
KEXEC_SRCS_base += kexec/kexec-iomem.c
KEXEC_SRCS_base += kexec/firmware_memmap.c
KEXEC_SRCS_base += kexec/crashdump.c
KEXEC_SRCS_base += kexec/crashdump-xen.c
KEXEC_SRCS_base += kexec/phys_arch.c
KEXEC_SRCS_base += kexec/kernel_version.c
KEXEC_SRCS_base += kexec/lzma.c
KEXEC_SRCS_base += kexec/zlib.c
KEXEC_SRCS_base += kexec/kexec-xen.c

KEXEC_GENERATED_SRCS += $(PURGATORY_HEX_C)

dist += kexec/Makefile $(KEXEC_GENERATED_SRCS)			\
	$(KEXEC_SRCS_base) kexec/crashdump-elf.c		\
	kexec/crashdump.h kexec/firmware_memmap.h		\
	kexec/kexec-elf-boot.h					\
	kexec/kexec-elf.h kexec/kexec-sha256.h			\
	kexec/kexec-zlib.h kexec/kexec-lzma.h			\
	kexec/kexec-syscall.h kexec/kexec.h kexec/kexec.8

dist				+= kexec/proc_iomem.c
$(ARCH)_PROC_IOMEM		=  kexec/proc_iomem.c
KEXEC_SRCS			+= $($(ARCH)_PROC_IOMEM)

dist				+= kexec/virt_to_phys.c
$(ARCH)_VIRT_TO_PHYS		=  kexec/virt_to_phys.c
KEXEC_SRCS			+= $($(ARCH)_VIRT_TO_PHYS)

dist				+= kexec/phys_to_virt.c
$(ARCH)_PHYS_TO_VIRT		=  kexec/phys_to_virt.c
KEXEC_SRCS			+= $($(ARCH)_PHYS_TO_VIRT)

dist				+= kexec/add_segment.c
$(ARCH)_ADD_SEGMENT		=  kexec/add_segment.c
KEXEC_SRCS			+= $($(ARCH)_ADD_SEGMENT)

dist				+= kexec/add_buffer.c
$(ARCH)_ADD_BUFFER		=  kexec/add_buffer.c
KEXEC_SRCS			+= $($(ARCH)_ADD_BUFFER)

dist				+=  kexec/arch_reuse_initrd.c
$(ARCH)_ARCH_REUSE_INITRD	=  kexec/arch_reuse_initrd.c
KEXEC_SRCS			+= $($(ARCH)_ARCH_REUSE_INITRD)

dist				+= kexec/kexec-uImage.c
$(ARCH)_UIMAGE			=
KEXEC_SRCS			+= $($(ARCH)_UIMAGE)

dist				+= kexec/fs2dt.c kexec/fs2dt.h
$(ARCH)_FS2DT			=
KEXEC_SRCS			+= $($(ARCH)_FS2DT)

include $(srcdir)/kexec/arch/alpha/Makefile
include $(srcdir)/kexec/arch/arm/Makefile
include $(srcdir)/kexec/arch/i386/Makefile
include $(srcdir)/kexec/arch/ia64/Makefile
include $(srcdir)/kexec/arch/m68k/Makefile
include $(srcdir)/kexec/arch/mips/Makefile
include $(srcdir)/kexec/arch/cris/Makefile
include $(srcdir)/kexec/arch/ppc/Makefile
include $(srcdir)/kexec/arch/ppc64/Makefile
include $(srcdir)/kexec/arch/s390/Makefile
include $(srcdir)/kexec/arch/sh/Makefile
include $(srcdir)/kexec/arch/x86_64/Makefile

KEXEC_SRCS += $($(ARCH)_KEXEC_SRCS)

KEXEC_OBJS = $(call objify, $(KEXEC_SRCS) $(KEXEC_GENERATED_SRCS))
KEXEC_DEPS = $(call depify, $(KEXEC_OBJS))

clean += $(KEXEC_OBJS) $(KEXEC_DEPS) $(KEXEC_GENERATED_SRCS) \
	 $(KEXEC) $(KEXEC_MANPAGE)

KEXEC = $(SBINDIR)/kexec
KEXEC_MANPAGE = $(MANDIR)/man8/kexec.8

-include $(KEXEC_DEPS)

$(KEXEC): $(KEXEC_OBJS) $(UTIL_LIB)
	@$(MKDIR) -p $(@D)
	$(LINK.o) -o $@ $^ $(CFLAGS) $(LIBS)

$(KEXEC): CPPFLAGS+=-I$(srcdir)/kexec/arch/$(ARCH)/include

kexec/fs2dt.o: CPPFLAGS+=$($(ARCH)_FS2DT_INCLUDE)

$(KEXEC_MANPAGE): kexec/kexec.8
	@$(MKDIR) -p     $(MANDIR)/man8
	cp $^ $(KEXEC_MANPAGE)
echo::
	@echo "KEXEC_SRCS $(KEXEC_SRCS)"
	@echo "KEXEC_DEPS $(KEXEC_DEPS)"
	@echo "KEXEC_OBJS $(KEXEC_OBJS)"

=== kexec_test/Makefile ===
#
# kexec_test Debugging payload to be certain the infrastructure works
#
RELOC:=0x10000
KEXEC_TEST_SRCS:= kexec_test/kexec_test16.S kexec_test/kexec_test.S

dist += kexec_test/Makefile $(KEXEC_TEST_SRCS)				\
	kexec_test/x86-setup-legacy-pic.S

BUILD_KEXEC_TEST = no
ifeq ($(ARCH),i386)
BUILD_KEXEC_TEST = yes
endif
ifeq ($(ARCH),x86_64)
BUILD_KEXEC_TEST = yes
endif

ifeq ($(BUILD_KEXEC_TEST),yes)

KEXEC_TEST_OBJS = $(call objify, $(KEXEC_TEST_SRCS))
KEXEC_TEST_DEPS = $(call depify, $(KEXEC_TEST_OBJS))

KEXEC_TEST = $(PKGLIBDIR)/kexec_test

clean += $(KEXEC_TEST_OBJS) $(KEXEC_TEST_DEPS) $(KEXEC_TEST)

-include $(KEXEC_TEST_DEPS)

$(KEXEC_TEST): CC=$(TARGET_CC)
$(KEXEC_TEST): CPPFLAGS+=-DRELOC=$(RELOC)
$(KEXEC_TEST): ASFLAGS+=-m32
#$(KEXEC_TEST): LDFLAGS=-m32 -Wl,-e -Wl,_start -Wl,-Ttext -Wl,$(RELOC) \
#		       -nostartfiles
$(KEXEC_TEST): LDFLAGS=-melf_i386 -e _start -Ttext $(RELOC)

$(KEXEC_TEST): $(KEXEC_TEST_OBJS)
	mkdir -p $(@D)
	$(TARGET_LD) $(LDFLAGS) -o $@ $^

endif

=== purgatory/Makefile ===
#
# Purgatory (an uncomfortable intermediate state)
#            In this case the code that runs between kernels
#

# There is probably a cleaner way to do this but for now this
# should keep us from accidentially include unsafe library functions
# or headers.

PURGATORY = purgatory/purgatory.ro
PURGATORY_SRCS =
PURGATORY_SRCS += purgatory/purgatory.c
PURGATORY_SRCS += purgatory/printf.c
PURGATORY_SRCS += purgatory/string.c

dist += purgatory/Makefile $(PURGATORY_SRCS)				\
	purgatory/include/purgatory.h purgatory/include/string.h

include $(srcdir)/purgatory/arch/alpha/Makefile
include $(srcdir)/purgatory/arch/arm/Makefile
include $(srcdir)/purgatory/arch/i386/Makefile
include $(srcdir)/purgatory/arch/ia64/Makefile
include $(srcdir)/purgatory/arch/mips/Makefile
include $(srcdir)/purgatory/arch/ppc/Makefile
include $(srcdir)/purgatory/arch/ppc64/Makefile
include $(srcdir)/purgatory/arch/s390/Makefile
include $(srcdir)/purgatory/arch/sh/Makefile
include $(srcdir)/purgatory/arch/x86_64/Makefile

PURGATORY_SRCS+=$($(ARCH)_PURGATORY_SRCS)

PURGATORY_OBJS = $(call objify, $(PURGATORY_SRCS)) purgatory/sha256.o
PURGATORY_DEPS = $(call depify, $(PURGATORY_OBJS))

clean += $(PURGATORY_OBJS) $(PURGATORY_DEPS) $(PURGATORY)

-include $(PURGATORY_DEPS)

# sha256.c needs to be compiled without optimization, else
# purgatory fails to execute on ia64.
purgatory/sha256.o: CFLAGS += -O0

purgatory/sha256.o: $(srcdir)/util_lib/sha256.c
	mkdir -p $(@D)
	$(COMPILE.c) -o $@ $^

$(PURGATORY): CC=$(TARGET_CC)
$(PURGATORY): CFLAGS+=$(PURGATORY_EXTRA_CFLAGS) \
		      $($(ARCH)_PURGATORY_EXTRA_CFLAGS) \
		      -Os -fno-builtin -ffreestanding

$(PURGATORY): CPPFLAGS=$($(ARCH)_PURGATORY_EXTRA_CFLAGS) \
			-I$(srcdir)/purgatory/include \
			-I$(srcdir)/purgatory/arch/$(ARCH)/include \
			-I$(srcdir)/util_lib/include \
			-I$(srcdir)/include \
			-Iinclude \
			-I$(shell $(CC) -print-file-name=include)
$(PURGATORY): LDFLAGS=$($(ARCH)_PURGATORY_EXTRA_CFLAGS)\
			-Wl,--no-undefined -nostartfiles -nostdlib \
			-nodefaultlibs -e purgatory_start -r

$(PURGATORY): $(PURGATORY_OBJS)
	$(MKDIR) -p $(@D)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^

#	$(LD) $(LDFLAGS) $(EXTRA_LDFLAGS) --no-undefined -e purgatory_start -r -o $@ $(PURGATORY_OBJS) $(UTIL_LIB)
	$(STRIP) --strip-debug $@

echo::
	@echo "PURGATORY_SRCS $(PURGATORY_SRCS)"
	@echo "PURGATORY_DEPS $(PURGATORY_DEPS)"
	@echo "PURGATORY_OBJS $(PURGATORY_OBJS)"

=== util_lib/Makefile ===
#
# Utility function library
#
UTIL_LIB_SRCS +=
UTIL_LIB_SRCS += util_lib/compute_ip_checksum.c
UTIL_LIB_SRCS += util_lib/sha256.c
UTIL_LIB_OBJS =$(call objify, $(UTIL_LIB_SRCS))
UTIL_LIB_DEPS =$(call depify, $(UTIL_LIB_OBJS))
UTIL_LIB = libutil.a

-include $(UTIL_LIB_DEPS)

dist  += util_lib/Makefile $(UTIL_LIB_SRCS)				\
	util_lib/include/sha256.h util_lib/include/ip_checksum.h
clean += $(UTIL_LIB_OBJS) $(UTIL_LIB_DEPS) $(UTIL_LIB)

$(UTIL_LIB): CPPFLAGS += -I$(srcdir)/util_lib/include

$(UTIL_LIB): $(UTIL_LIB_OBJS)
	@$(MKDIR) -p $(@D)
	$(AR) rs $(UTIL_LIB) $(UTIL_LIB_OBJS)

=== kexec/arch/m68k/Makefile ===
#
# kexec m68k (linux booting linux)
#
m68k_KEXEC_SRCS =  kexec/arch/m68k/kexec-m68k.c
m68k_KEXEC_SRCS += kexec/arch/m68k/kexec-elf-m68k.c
m68k_KEXEC_SRCS += kexec/arch/m68k/kexec-elf-rel-m68k.c
m68k_KEXEC_SRCS += kexec/arch/m68k/bootinfo.c

m68k_ADD_SEGMENT =
m68k_VIRT_TO_PHYS =

dist += kexec/arch/m68k/Makefile $(m68k_KEXEC_SRCS)			\
	kexec/arch/m68k/kexec-m68k.h					\
	kexec/arch/m68k/include/arch/options.h

=== kexec/arch/mips/Makefile ===
#
# kexec mips (linux booting linux)
#
mips_KEXEC_SRCS =  kexec/arch/mips/kexec-mips.c
mips_KEXEC_SRCS += kexec/arch/mips/kexec-elf-mips.c
mips_KEXEC_SRCS += kexec/arch/mips/kexec-elf-rel-mips.c
mips_KEXEC_SRCS += kexec/arch/mips/crashdump-mips.c

mips_ADD_BUFFER =
mips_ADD_SEGMENT =
mips_VIRT_TO_PHYS =

dist += kexec/arch/mips/Makefile $(mips_KEXEC_SRCS)			\
	kexec/arch/mips/kexec-mips.h					\
	kexec/arch/mips/crashdump-mips.h				\
	kexec/arch/mips/include/arch/options.h

=== kexec/arch/ppc64/Makefile ===
#
# kexec ppc64 (linux booting linux)
#
ppc64_KEXEC_SRCS =  kexec/arch/ppc64/kexec-elf-rel-ppc64.c
ppc64_KEXEC_SRCS += kexec/arch/ppc64/kexec-zImage-ppc64.c
ppc64_KEXEC_SRCS += kexec/arch/ppc64/kexec-elf-ppc64.c
ppc64_KEXEC_SRCS += kexec/arch/ppc64/kexec-ppc64.c
ppc64_KEXEC_SRCS += kexec/arch/ppc64/crashdump-ppc64.c

ppc64_ARCH_REUSE_INITRD =

ppc64_FS2DT	    = kexec/fs2dt.c
ppc64_FS2DT_INCLUDE = -include $(srcdir)/kexec/arch/ppc64/crashdump-ppc64.h \
                      -include $(srcdir)/kexec/arch/ppc64/kexec-ppc64.h

dist += kexec/arch/ppc64/Makefile $(ppc64_KEXEC_SRCS)			\
	kexec/arch/ppc64/kexec-ppc64.h kexec/arch/ppc64/crashdump-ppc64.h \
	kexec/arch/ppc64/include/arch/options.h

=== kexec/arch/x86_64/Makefile ===
#
# kexec x86_64 (linux booting linux)
#
x86_64_KEXEC_SRCS =  kexec/arch/i386/kexec-elf-x86.c
x86_64_KEXEC_SRCS += kexec/arch/i386/kexec-bzImage.c
x86_64_KEXEC_SRCS += kexec/arch/i386/kexec-multiboot-x86.c
x86_64_KEXEC_SRCS += kexec/arch/i386/kexec-beoboot-x86.c
x86_64_KEXEC_SRCS += kexec/arch/i386/kexec-nbi.c
x86_64_KEXEC_SRCS += kexec/arch/i386/x86-linux-setup.c
x86_64_KEXEC_SRCS += kexec/arch/i386/kexec-x86-common.c
x86_64_KEXEC_SRCS += kexec/arch/i386/crashdump-x86.c

x86_64_KEXEC_SRCS_native =  kexec/arch/x86_64/kexec-x86_64.c
x86_64_KEXEC_SRCS_native += kexec/arch/x86_64/kexec-elf-x86_64.c
x86_64_KEXEC_SRCS_native += kexec/arch/x86_64/kexec-elf-rel-x86_64.c
x86_64_KEXEC_SRCS_native += kexec/arch/x86_64/kexec-bzImage64.c

x86_64_KEXEC_SRCS += $(x86_64_KEXEC_SRCS_native)

# Don't add sources in i386/ to dist, as i386/Makefile adds them
dist += kexec/arch/x86_64/Makefile $(x86_64_KEXEC_SRCS_native) \
	kexec/arch/x86_64/kexec-x86_64.h \
	kexec/arch/x86_64/include/arch/options.h

=== purgatory/arch/ppc64/Makefile ===
#
# Purgatory ppc64
#

ppc64_PURGATORY_SRCS += purgatory/arch/ppc64/v2wrap.S
ppc64_PURGATORY_SRCS += purgatory/arch/ppc64/hvCall.S
ppc64_PURGATORY_SRCS += purgatory/arch/ppc64/purgatory-ppc64.c
ppc64_PURGATORY_SRCS += purgatory/arch/ppc64/console-ppc64.c
ppc64_PURGATORY_SRCS += purgatory/arch/ppc64/crashdump_backup.c
ppc64_PURGATORY_SRCS += purgatory/arch/ppc64/misc.S

ppc64_PURGATORY_EXTRA_CFLAGS += -m64 -msoft-float
ppc64_PURGATORY_EXTRA_ASFLAGS += -m64
ifeq ($(SUBARCH),BE)
	ppc64_PURGATORY_EXTRA_LDFLAGS += -melf64ppc
	ppc64_PURGATORY_EXTRA_CFLAGS += -mcall-aixdesc
	ppc64_PURGATORY_EXTRA_ASFLAGS += -mcall-aixdesc
else
	ppc64_PURGATORY_EXTRA_LDFLAGS += -melf64lppc
	ppc64_PURGATORY_EXTRA_CFLAGS += -mlittle-endian
	ppc64_PURGATORY_EXTRA_ASFLAGS += -mlittle-endian
endif

dist += purgatory/arch/ppc64/Makefile $(ppc64_PURGATORY_SRCS)		\
	purgatory/arch/ppc64/hvCall.h					\
	purgatory/arch/ppc64/ppc64_asm.h				\
	purgatory/arch/ppc64/purgatory-ppc64.h

=== debian/changelog ===
kexec-tools (1:2.0.6-0ubuntu2) trusty; urgency=medium

  * endianess-initrd.patch: Fix endian issues with initrd base and size.
  * stack-protection.patch: Disable stack-protector for ppc64/purgatory.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 16 Apr 2014 15:27:06 +0100

kexec-tools (1:2.0.6-0ubuntu1) trusty; urgency=medium

  * New upstream release 2.0.6 with new ppc64el support (LP: #1300470):
    - kdump_makefile.patch: Dropped, no longer needed with new version.
    - kexec-p-fails-to-load-kernels-with-version-x.y.patch: Upstreamed.
    - format-security.patch: Fixing FTBFS with -Werror=format-security.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 31 Mar 2014 14:26:44 -0600

kexec-tools (1:2.0.4-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable (LP: #1271127), remaining changes:
    - Run aclocal during build; build-dep on automake.
    - Implementation of kdump-tools is now completed so the following are
      removed :
        kdump init script and initramfs snippet
        Remove dependancy to initramfs-tools and makedumpfile
        Remove Depend on makedumpfile (on appropriate architectures)
    - Call to update-grub to update boot args with crashkernel=
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile (claimed to be fixed in Debian but isn't).
    - Don't call db_stop from the postinst.

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 21 Jan 2014 11:29:40 +0100

kexec-tools (1:2.0.4-1) unstable; urgency=low

  * New upstream release
  * Removed crashdump_warning.patch since it is in upstream now
  * Removed update_kexec_manpage.patch since it is in upstream now
  * Updated watch file to look for more extensions that tgz and tar.gz, as 
    suggested by someone on PTS
  * Added support for parallel make (closes: Bug#727130)
  * Added support for grub2's saved_entry (closes: Bug#699007)

 -- Khalid Aziz <khalid@debian.org>  Fri, 08 Nov 2013 16:38:16 -0700

kexec-tools (1:2.0.3-4ubuntu3) trusty; urgency=low

  * Increase memory parameter crashkernel command line to 128M to avoid 
    OOM kernel panic. (LP: #785394)

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Wed, 18 Dec 2013 10:54:08 -0600

kexec-tools (1:2.0.3-4ubuntu2) trusty; urgency=low

  * Add "crashkernel=384M-2G:64M,2G-:128M" to GRUB command line for
    non-recovery entries.  This supersedes an Ubuntu-specific patch
    previously carried in grub2 itself.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Nov 2013 17:03:24 +0000

kexec-tools (1:2.0.3-4ubuntu1) trusty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Run aclocal during build; build-dep on automake.
    - Add and install kdump init script and initramfs snippet; depend on
      initramfs-tools and call update-initramfs.
    - Also call update-grub after update-initramfs if /boot/grub/grub.cfg
      exists.
    - Depend on makedumpfile (on appropriate architectures), for use in 
      the initramfs script.
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile (claimed to be fixed in Debian but isn't).
    - Don't call db_stop from the postinst.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 27 Oct 2013 21:45:21 -0700

kexec-tools (1:2.0.3-4) unstable; urgency=low

  * Drop the dependency on grub2 which is not quite right 
    (closes: Bug#717953, closes: Bug#718260)

 -- Khalid Aziz <khalid@debian.org>  Mon, 29 Jul 2013 08:16:59 -0600

kexec-tools (1:2.0.3-3) unstable; urgency=low

  * Fixed kexec-load init script to parse newer grub.cfg files correctly
    (closes: Bug#714016)
  * Replaced echo in kexec init script with printf to avoid bashism
    (closes: Bug#701551)
  * Fixed the "kexec -p" failure with kernel versions of the form x.y
    (closes: Bug#708034)
  * Updated japanese translation (Thank you Victory and Japanese Debian 
    Developers) (closes: Bug#717206)
  * Added mips and mipsel to supported architectures (closes: Bug#711274)

 -- Khalid Aziz <khalid@debian.org>  Thu, 25 Jul 2013 13:57:30 -0600

kexec-tools (1:2.0.3-2ubuntu2) saucy; urgency=low

  * Re-fix to not call db_stop from the postinst.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 06 May 2013 14:12:30 -0700

kexec-tools (1:2.0.3-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Run aclocal during build; build-dep on automake.
    - Add and install kdump init script and initramfs snippet; depend on
      initramfs-tools and call update-initramfs.
    - Also call update-grub after update-initramfs if /boot/grub/grub.cfg
      exists.
    - Depend on makedumpfile (on appropriate architectures), for use in 
      the initramfs script.
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile (claimed to be fixed in Debian but isn't).
  * Dropped changes:
    - restore debian/README.debian, dropped accidentally
    - debian/patches/ubuntu-ppc-__lshrdi3-ftbs.patch: no longer needed to
      fix FTBFS on powerpc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 May 2013 18:05:05 -0700

kexec-tools (1:2.0.3-2) unstable; urgency=low

  * Changed the default for kexec to not be enabled, and changed the 
    priority of debconf question for enabling kexec by default to
    high (closes: Bug#638261)
  * Handle the case of a separate /boot partition (closes: Bug#687956)
  * Updated to use hardening rules
  * Added full path to the calls to kexec in init scripts to make sure 
    it works reliably.
  * Added code to clear screen before rebooting (closes: Bug#606955)

 -- Khalid Aziz <khalid@debian.org>  Sun, 13 Jan 2013 19:39:31 -0700

kexec-tools (1:2.0.3-1ubuntu2) quantal; urgency=low

  [ Louis Bouchard ]
  * Removed dependency to vmcoreinfo which is no longer required
    and no longer part of the kernel package.  LP: #988512.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Aug 2012 12:48:22 -0700

kexec-tools (1:2.0.3-1ubuntu1) quantal; urgency=low



=== debian/control ===
Source: kexec-tools
Section: admin
Homepage: http://kernel.org/pub/linux/utils/kernel/kexec/
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Khalid Aziz <khalid@debian.org>
Build-Depends: debhelper (>= 7.0.0), autoconf, gnu-efi (>=3.0a-4)[ia64], libz-dev[ia64], po-debconf, automake
Standards-Version: 3.9.4

Package: kexec-tools
Architecture: i386 amd64 ppc64el ppc64 powerpc ia64 s390 arm armel armhf sh4 mips mipsel
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf
Description: tools to support fast kexec reboots
 This package provides tools to load a kernel into memory and then
 "reboot" directly into that kernel using the kexec system call,
 bypassing the normal boot process.

Package: kexec-tools-udeb
Section: debian-installer
Architecture: i386 amd64 ppc64 powerpc ia64 s390 arm armel armhf sh4 mips mipsel
XC-Package-Type: udeb
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tools to support fast kexec reboots (udeb)

## kexec-tools 2.0.7

=== debian/changelog ===
kexec-tools (1:2.0.7-5) unstable; urgency=medium

  * Deleted the extra "-x" from "#!/bin/sh -x" in kexec-load init
    script (closes: Bug#770792)

 -- Khalid Aziz <khalid@debian.org>  Mon, 24 Nov 2014 07:35:39 -0700

kexec-tools (1:2.0.7-4) unstable; urgency=medium

  * Changed the way systemd presence is detected to make shutdown more
    reliable (closes: Bug#766338, closes: Bug#767449)

 -- Khalid Aziz <khalid@debian.org>  Mon, 03 Nov 2014 16:37:53 -0700

kexec-tools (1:2.0.7-3) unstable; urgency=medium

  * Fixed kexec-load init script so it will detect systemd
    vs initV and load kexec kernel correctly (closes: Bug#764626)
  * Added architecture ppc64el and started using dh_autoreconf
    (closes: Bug#762628)

 -- Khalid Aziz <khalid@debian.org>  Fri, 10 Oct 2014 10:14:58 -0600

kexec-tools (1:2.0.7-2) unstable; urgency=medium

  * Fix build failure on ppc (closes: Bug#754609)
  * Replaced s390 arch with s390x (closes: Bug#729451)
  * Added patch from Roland to support powerpcspe (closes: Bug#734697)
  * Added support for systemd (closes: Bug#764360, closes: Bug#699008)
  * Enhanced kexec init scripts to work with systemd as well and now
    "sudo reboot" from an X11 terminal works (closes: Bug#747119)
  * Includes upstream fix to align initrd_base address to pagesize
    (closes: Bug#756127)
  * Added Turkish translation (closes: Bug#757510)

 -- Khalid Aziz <khalid@debian.org>  Wed, 08 Oct 2014 11:01:58 -0600

kexec-tools (1:2.0.7-1) unstable; urgency=low

  * New upstream release. Refreshed patches to apply without offsets
  * Stopped passing start/stop to update-rc.d
  * Includes fix for multiboot image booting bug from upstream 
    (closes: Bug#735360)

 -- Khalid Aziz <khalid@debian.org>  Wed, 09 Jul 2014 10:44:35 -0600

=== debian/control ===
Source: kexec-tools
Section: admin
Homepage: http://kernel.org/pub/linux/utils/kernel/kexec/
Priority: optional
Maintainer: Khalid Aziz <khalid@debian.org>
Build-Depends: debhelper (>= 7.0.0), dh-autoreconf, gnu-efi (>=3.0a-4)[ia64], libz-dev[ia64], po-debconf
Standards-Version: 3.9.6

Package: kexec-tools
Architecture: i386 amd64 ppc64el ppc64 powerpc powerpcspe  ia64 s390x arm armel armhf sh4 mips mipsel
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf
Description: tools to support fast kexec reboots
 This package provides tools to load a kernel into memory and then
 "reboot" directly into that kernel using the kexec system call,
 bypassing the normal boot process.

Package: kexec-tools-udeb
Section: debian-installer
Architecture: i386 amd64 ppc64el ppc64 powerpc powerpcspe  ia64 s390x arm armel armhf sh4 mips mipsel
XC-Package-Type: udeb
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tools to support fast kexec reboots (udeb)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
	NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp: 
	dh_testdir
	# Add here commands to configure the package.
	dh_autoreconf
	CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" ./configure --prefix=/usr --sbindir=/sbin --mandir=/usr/share/man --datadir=/usr/share

	touch configure-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) $(NJOBS)

	touch build-stamp

clean: tidy 

tidy: configure-stamp 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp 
	rm -fr tmp-source

	# Add here commands to clean up after the build process.
	$(MAKE) dist-clean

	dh_autoreconf_clean
	dh_clean 
	debconf-updatepo

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/kexec-tools
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	[ ! -f $(CURDIR)/debian/kexec-tools/usr/lib/kexec-tools-testing/kexec_test.static ] || strip $(CURDIR)/debian/kexec-tools/usr/lib/kexec-tools-testing/kexec_test.static
endif

	install -D -m 0755 debian/kexec-tools/sbin/kexec debian/kexec-tools-udeb/sbin/kexec

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installdebconf
	dh_installinit -r --name=kexec 
	dh_installinit -r --name=kexec-load
	dh_installexamples
	dh_lintian
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## kexec-tools 2.0.10

=== kexec/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 KEXEC_GENERATED_SRCS += $(PURGATORY_HEX_C)
 
-dist += kexec/Makefile $(KEXEC_GENERATED_SRCS)			\
+dist += kexec/Makefile						\
 	$(KEXEC_SRCS_base) kexec/crashdump-elf.c		\
 	kexec/crashdump.h kexec/firmware_memmap.h		\
 	kexec/kexec-elf-boot.h					\

=== purgatory/Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 PURGATORY_SRCS += purgatory/purgatory.c
 PURGATORY_SRCS += purgatory/printf.c
 PURGATORY_SRCS += purgatory/string.c
+PURGATORY_MAP = purgatory/purgatory.map
 
 dist += purgatory/Makefile $(PURGATORY_SRCS)				\
 	purgatory/include/purgatory.h purgatory/include/string.h
@@ -47,7 +48,9 @@
 $(PURGATORY): CC=$(TARGET_CC)
 $(PURGATORY): CFLAGS+=$(PURGATORY_EXTRA_CFLAGS) \
 		      $($(ARCH)_PURGATORY_EXTRA_CFLAGS) \
-		      -Os -fno-builtin -ffreestanding
+		      -Os -fno-builtin -ffreestanding \
+		      -fno-zero-initialized-in-bss \
+		      -fno-PIC -fno-PIE -fno-stack-protector
 
 $(PURGATORY): CPPFLAGS=$($(ARCH)_PURGATORY_EXTRA_CFLAGS) \
 			-I$(srcdir)/purgatory/include \
@@ -58,14 +61,14 @@
 			-I$(shell $(CC) -print-file-name=include)
 $(PURGATORY): LDFLAGS=$($(ARCH)_PURGATORY_EXTRA_CFLAGS)\
 			-Wl,--no-undefined -nostartfiles -nostdlib \
-			-nodefaultlibs -e purgatory_start -r
+			-nodefaultlibs -e purgatory_start -r \
+			-Wl,-Map=$(PURGATORY_MAP)
 
 $(PURGATORY): $(PURGATORY_OBJS)
 	$(MKDIR) -p $(@D)
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
-
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@.sym $^
 #	$(LD) $(LDFLAGS) $(EXTRA_LDFLAGS) --no-undefined -e purgatory_start -r -o $@ $(PURGATORY_OBJS) $(UTIL_LIB)
-	$(STRIP) --strip-debug $@
+	$(STRIP) --strip-debug -o $@ $@.sym
 
 echo::
 	@echo "PURGATORY_SRCS $(PURGATORY_SRCS)"

=== kexec/arch/arm/Makefile ===
#
# kexec arm (linux booting linux)
#
include $(srcdir)/kexec/libfdt/Makefile.libfdt

arm_FS2DT              = kexec/fs2dt.c
arm_FS2DT_INCLUDE      = -include $(srcdir)/kexec/arch/arm/crashdump-arm.h \
                         -include $(srcdir)/kexec/arch/arm/kexec-arm.h

arm_KEXEC_SRCS=  kexec/arch/arm/kexec-elf-rel-arm.c
arm_KEXEC_SRCS+= kexec/arch/arm/kexec-zImage-arm.c
arm_KEXEC_SRCS+= kexec/arch/arm/kexec-uImage-arm.c
arm_KEXEC_SRCS+= kexec/arch/arm/kexec-arm.c
arm_KEXEC_SRCS+= kexec/arch/arm/crashdump-arm.c
arm_KEXEC_SRCS+= kexec/fs2dt.c

libfdt_SRCS += $(LIBFDT_SRCS:%=kexec/libfdt/%)

arm_CPPFLAGS = -I$(srcdir)/kexec/libfdt

arm_KEXEC_SRCS += $(libfdt_SRCS)

arm_UIMAGE = kexec/kexec-uImage.c
arm_PHYS_TO_VIRT = kexec/arch/arm/phys_to_virt.c

dist += kexec/arch/arm/Makefile $(arm_KEXEC_SRCS) $(arm_PHYS_TO_VIRT)	\
	kexec/arch/arm/crashdump-arm.h kexec/arch/arm/kexec-arm.h	\
	kexec/arch/arm/include/arch/options.h

=== kexec/arch/i386/Makefile ===
#
# kexec i386 (linux booting linux)
#
i386_KEXEC_SRCS =  kexec/arch/i386/kexec-x86.c
i386_KEXEC_SRCS += kexec/arch/i386/kexec-x86-common.c
i386_KEXEC_SRCS += kexec/arch/i386/kexec-elf-x86.c
i386_KEXEC_SRCS += kexec/arch/i386/kexec-elf-rel-x86.c
i386_KEXEC_SRCS += kexec/arch/i386/kexec-bzImage.c
i386_KEXEC_SRCS += kexec/arch/i386/kexec-multiboot-x86.c
i386_KEXEC_SRCS += kexec/arch/i386/kexec-beoboot-x86.c
i386_KEXEC_SRCS += kexec/arch/i386/kexec-nbi.c
i386_KEXEC_SRCS += kexec/arch/i386/x86-linux-setup.c
i386_KEXEC_SRCS += kexec/arch/i386/crashdump-x86.c

dist += kexec/arch/i386/Makefile $(i386_KEXEC_SRCS)			\
	kexec/arch/i386/kexec-x86.h kexec/arch/i386/crashdump-x86.h	\
	kexec/arch/i386/x86-linux-setup.h				\
	kexec/arch/i386/include/arch/options.h

=== kexec/arch/sh/Makefile ===
#
# kexec sh (linux booting linux)
#
sh_KEXEC_SRCS += kexec/arch/sh/kexec-sh.c
sh_KEXEC_SRCS += kexec/arch/sh/kexec-uImage-sh.c
sh_KEXEC_SRCS += kexec/arch/sh/kexec-zImage-sh.c
sh_KEXEC_SRCS += kexec/arch/sh/kexec-netbsd-sh.c
sh_KEXEC_SRCS += kexec/arch/sh/kexec-elf-sh.c
sh_KEXEC_SRCS += kexec/arch/sh/kexec-elf-rel-sh.c
sh_KEXEC_SRCS += kexec/arch/sh/netbsd_booter.S
sh_KEXEC_SRCS += kexec/arch/sh/crashdump-sh.c

sh_UIMAGE = kexec/kexec-uImage.c

sh_ADD_BUFFER =
sh_ADD_SEGMENT =
sh_VIRT_TO_PHYS =

dist += kexec/arch/sh/Makefile $(sh_KEXEC_SRCS)				\
	kexec/arch/sh/kexec-sh.h					\
	kexec/arch/sh/crashdump-sh.h					\
	kexec/arch/sh/include/arch/options.h

=== debian/changelog ===
kexec-tools (1:2.0.10-1ubuntu2) xenial; urgency=medium

  * [PowerPC64] Fix failure in purgatory when compiled with gcc5
    Application of upstream fixes so kexec-tools work with gcc5 on PowerPC64

    commit 4a2ae3a39c64dc43e9d094be9541253234ff4822,
    1e423dc297d10eb7ff25c829d2856ef12fc81d77,
    3debb8cf3272216119cb2e59a4963ce3c18fe8e3
    [lp: #1546260]
   
 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 05 Apr 2016 11:14:18 +0200

kexec-tools (1:2.0.10-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add and install kdump init script and initramfs snippet; depend on
      initramfs-tools and call update-initramfs.
    - Call to update-grub to update boot args with crashkernel=
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile
    - Don't call db_stop from the postinst.
    - Use format-security.patch instead of const_string_warning.patch

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 03 Dec 2015 14:44:30 -0600

kexec-tools (1:2.0.10-1) unstable; urgency=medium

  * New upstream release (Closes: #791942)
  * Updated distclean_fix.patch to account for new files that need to
    be cleaned up

 -- Khalid Aziz <khalid@debian.org>  Mon, 14 Sep 2015 13:30:53 -0600

kexec-tools (1:2.0.9-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Add and install kdump init script and initramfs snippet; depend on
      initramfs-tools and call update-initramfs.
    - Call to update-grub to update boot args with crashkernel=
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile
    - Don't call db_stop from the postinst.
    - Use format-security.patch instead of const_string_warning.patch

 -- Chris J Arges <chris.j.arges@canonical.com>  Fri, 26 Jun 2015 15:05:43 -0500

kexec-tools (1:2.0.9-1) unstable; urgency=medium

  * New upstream release

 -- Khalid Aziz <khalid@debian.org>  Mon, 15 Jun 2015 10:38:00 -0600

kexec-tools (1:2.0.7-5.1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add and install kdump init script and initramfs snippet; depend on
      initramfs-tools and call update-initramfs.
    - Call to update-grub to update boot args with crashkernel=
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile
    - Don't call db_stop from the postinst.
    - Use format-security.patch instead of const_string_warning.patch
    - Patches to enable kexec-tool for ppc64el.

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 11 Jun 2015 08:41:28 -0500

kexec-tools (1:2.0.7-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't reboot the machine while removing the package (Closes: #782033)
  * Fix loading kdump kernel on i386 (Closes: #771671)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 22 Apr 2015 12:04:44 +0200

kexec-tools (1:2.0.7-5ubuntu2) vivid; urgency=medium

  * Adjust kexec-tools for systems that use vmlinux. (LP: #1416515) 

 -- Chris J Arges <chris.j.arges@canonical.com>  Fri, 30 Jan 2015 14:31:10 -0600

kexec-tools (1:2.0.7-5ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add and install kdump init script and initramfs snippet; depend on
      initramfs-tools and call update-initramfs.
    - Call to update-grub to update boot args with crashkernel=
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile
    - Don't call db_stop from the postinst.
    - Use format-security.patch instead of const_string_warning.patch
    - Patches to enable kexec-tool for ppc64el.

 -- Chris J Arges <chris.j.arges@canonical.com>  Tue, 02 Dec 2014 11:43:21 -0600

kexec-tools (1:2.0.7-4ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add and install kdump init script and initramfs snippet; depend on
      initramfs-tools and call update-initramfs.
    - Call to update-grub to update boot args with crashkernel=
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile
    - Don't call db_stop from the postinst.
    - Use format-security.patch instead of const_string_warning.patch
    - Patches to enable kexec-tool for ppc64el.

 -- Chris J Arges <chris.j.arges@canonical.com>  Tue, 04 Nov 2014 12:51:24 -0600

kexec-tools (1:2.0.7-1ubuntu2) utopic; urgency=medium

  * The following enable kexec-tools for ppc64el: (LP: #1364427)
    - kexec-ppc64-disabling-exception-handling-when-buildi.patch
    - kexec-ppc64-move-to-device-tree-version-17.patch
    - ppc64-kdump-Fix-ELF-header-endianess.patch

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 02 Oct 2014 21:38:53 +0000

kexec-tools (1:2.0.7-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run aclocal during build; build-dep on automake.
    - Add and install kdump init script and initramfs snippet; depend on
      initramfs-tools and call update-initramfs.
    - Call to update-grub to update boot args with crashkernel=
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile
    - Don't call db_stop from the postinst.
    - Add ppc64el architecture.
    - Use format-security.patch instead of const_string_warning.patch
    - Dropped:
       - kexec-p-fails-to-load-kernels-with-version-x.y.patch
       - kdump_makefile.patch

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 02 Oct 2014 15:06:12 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Homepage: http://kernel.org/pub/linux/utils/kernel/kexec/
 Priority: optional
-Maintainer: Khalid Aziz <khalid@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Khalid Aziz <khalid@debian.org>
 Build-Depends: debhelper (>= 7.0.0), dh-autoreconf, gnu-efi (>=3.0a-4)[ia64], libz-dev[ia64], po-debconf
 Standards-Version: 3.9.6

=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,14 @@
 	CFLAGS += -O2
 endif
 
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
 configure: configure-stamp
 configure-stamp: 
 	dh_testdir
 	# Add here commands to configure the package.
 	dh_autoreconf
 	CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" ./configure --prefix=/usr --sbindir=/sbin --mandir=/usr/share/man --datadir=/usr/share
-
 	touch configure-stamp
 
 
@@ -66,6 +67,10 @@
 
 	# Add here commands to install the package into debian/tmp.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/kexec-tools
+ifneq (,$(filter $(DEB_HOST_ARCH),i386 amd64 powerpc ppc64 ppc64el ia64))
+	install -m644 debian/kexec-tools.grub \
+		debian/kexec-tools/etc/default/grub.d/kexec-tools.cfg
+endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	[ ! -f $(CURDIR)/debian/kexec-tools/usr/lib/kexec-tools-testing/kexec_test.static ] || strip $(CURDIR)/debian/kexec-tools/usr/lib/kexec-tools-testing/kexec_test.static
 endif

=== debian/watch ===
version=3
http://kernel.org/pub/linux/utils/kernel/kexec/kexec-tools-(.*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## kexec-tools 2.0.14

=== purgatory/Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 
 include $(srcdir)/purgatory/arch/alpha/Makefile
 include $(srcdir)/purgatory/arch/arm/Makefile
+include $(srcdir)/purgatory/arch/arm64/Makefile
 include $(srcdir)/purgatory/arch/i386/Makefile
 include $(srcdir)/purgatory/arch/ia64/Makefile
 include $(srcdir)/purgatory/arch/mips/Makefile
@@ -37,9 +38,7 @@
 
 -include $(PURGATORY_DEPS)
 
-# sha256.c needs to be compiled without optimization, else
-# purgatory fails to execute on ia64.
-purgatory/sha256.o: CFLAGS += -O0
+purgatory/sha256.o: CFLAGS += -O2 $($(ARCH)_PURGATORY_SHA256_CFLAGS)
 
 purgatory/sha256.o: $(srcdir)/util_lib/sha256.c
 	mkdir -p $(@D)

=== kexec/arch/arm64/Makefile ===

arm64_FS2DT += kexec/fs2dt.c
arm64_FS2DT_INCLUDE += \
	-include $(srcdir)/kexec/arch/arm64/crashdump-arm64.h \
	-include $(srcdir)/kexec/arch/arm64/kexec-arm64.h

arm64_DT_OPS += kexec/dt-ops.c

arm64_CPPFLAGS += -I $(srcdir)/kexec/

arm64_KEXEC_SRCS += \
	kexec/arch/arm64/crashdump-arm64.c \
	kexec/arch/arm64/kexec-arm64.c \
	kexec/arch/arm64/kexec-elf-arm64.c \
	kexec/arch/arm64/kexec-image-arm64.c

arm64_ARCH_REUSE_INITRD =
arm64_ADD_SEGMENT =
arm64_VIRT_TO_PHYS =
arm64_PHYS_TO_VIRT =

dist += $(arm64_KEXEC_SRCS) \
	kexec/arch/arm64/include/arch/options.h \
	kexec/arch/arm64/crashdump-arm64.h \
	kexec/arch/arm64/image-header.h \
	kexec/arch/arm64/kexec-arm64.h \
	kexec/arch/arm64/Makefile

ifdef HAVE_LIBFDT

LIBS += -lfdt

else

include $(srcdir)/kexec/libfdt/Makefile.libfdt

libfdt_SRCS += $(LIBFDT_SRCS:%=kexec/libfdt/%)

arm64_CPPFLAGS += -I$(srcdir)/kexec/libfdt

arm64_KEXEC_SRCS += $(libfdt_SRCS)

endif

=== debian/changelog ===
kexec-tools (1:2.0.14-1) unstable; urgency=medium

  * New upstream release
  * Removed the patch lp1546260-fix-purgatory-fail-gcc5.patch which
    has been accepted into this upstream version
  * Updated Danish translation (Closes: #830594)
  * Updated Brazilian Portuguese translation (Closes: #852445)
  * Enabled build for arm64 (Closes: #791943)
  * Fix FTCBFS: Invoke configure script through dh_auto_configure
    in debian/rules (Closes: #850875)
  * Added patch to add -fno-PIC to purgatory/arch/arm64/Makefile to
    enable build on arm64

 -- Khalid Aziz <khalid@debian.org>  Wed, 25 Jan 2017 12:36:57 -0700

kexec-tools (1:2.0.12-1) unstable; urgency=medium

  * New upstream release
  * Upstream release no longer uses build date in version
    (Closes: #783239)
  * Fix kexec failures when compiled with gcc > v5 (Closes: #825189)
  * Add support for scripts in /etc/defauls/kexec.d (Closes: #752790)
  * Update japaneses translation (Closes: #819601)
  * Update french translation (Closes: #821073)
  * Update dutch translation (Closes: #821441)

 -- Khalid Aziz <khalid@debian.org>  Fri, 24 Jun 2016 14:22:01 -0600

kexec-tools (1:2.0.10-2) unstable; urgency=medium

  * Fix for systemd bug, many thanks to Thomas Stangner. systemd users
    must use "systemctl kexec" for a kexec reboot (Closes: #785714)
  * Added -f option to update-rc.d in preinstall script (Closes: #807018)
  * Updated code for USE_GRUB_CONFIG to work with new grub.cfg format which
    also is back to using entry number for saved_entry (Closes: #766367)
  * Changed the location of flag file for cold reboot to a safer location
    (Closes : #766772)
  * Added mips64 and mips64el to supported arches (Closes: #800953,
    Closes: #809220)
  * Make the package build reproducibly (Closes: #783239)
  * Add Brazilian Portuguese debconf templates translation (Closes: #811512)

 -- Khalid Aziz <khalid@debian.org>  Tue, 22 Mar 2016 17:27:30 -0600

=== debian/control ===
Source: kexec-tools
Section: admin
Homepage: http://kernel.org/pub/linux/utils/kernel/kexec/
Priority: optional
Maintainer: Khalid Aziz <khalid@debian.org>
Build-Depends: debhelper (>= 7.0.0), dh-autoreconf, gnu-efi (>=3.0a-4)[ia64], libz-dev[ia64], po-debconf
Standards-Version: 3.9.8

Package: kexec-tools
Architecture: i386 amd64 ppc64el ppc64 powerpc powerpcspe  ia64 s390x arm arm64 armel armhf sh4 mips mipsel mips64 mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, lsb-base (>=3.0-6)
Description: tools to support fast kexec reboots
 This package provides tools to load a kernel into memory and then
 "reboot" directly into that kernel using the kexec system call,
 bypassing the normal boot process.

Package: kexec-tools-udeb
Section: debian-installer
Architecture: i386 amd64 ppc64el ppc64 powerpc powerpcspe  ia64 s390x arm arm64 armel armhf sh4 mips mipsel mips64 mips64el
XC-Package-Type: udeb
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tools to support fast kexec reboots (udeb)

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+
+BUILD_DATE = $(shell dpkg-parsechangelog -S Date | LC_ALL=C date -u +'%d %B %Y' -f -)
+export BUILD_DATE
 
 ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
 	NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
@@ -21,14 +24,12 @@
 	CFLAGS += -O2
 endif
 
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
 configure: configure-stamp
 configure-stamp: 
 	dh_testdir
 	# Add here commands to configure the package.
 	dh_autoreconf
-	CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" ./configure --prefix=/usr --sbindir=/sbin --mandir=/usr/share/man --datadir=/usr/share
+	CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" dh_auto_configure -- --prefix=/usr --sbindir=/sbin --mandir=/usr/share/man --datadir=/usr/share
 	touch configure-stamp
 
 
@@ -67,10 +68,6 @@
 
 	# Add here commands to install the package into debian/tmp.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/kexec-tools
-ifneq (,$(filter $(DEB_HOST_ARCH),i386 amd64 powerpc ppc64 ppc64el ia64))
-	install -m644 debian/kexec-tools.grub \
-		debian/kexec-tools/etc/default/grub.d/kexec-tools.cfg
-endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	[ ! -f $(CURDIR)/debian/kexec-tools/usr/lib/kexec-tools-testing/kexec_test.static ] || strip $(CURDIR)/debian/kexec-tools/usr/lib/kexec-tools-testing/kexec_test.static
 endif

## kexec-tools 2.0.15

=== debian/changelog ===
kexec-tools (1:2.0.15-0ubuntu1) artful; urgency=medium

  * New upstream version (LP: #1713940):
    - Modified:
      - distclean_fix.patch
        Hunk which modified purgatory makefile went upstream
    - Dropped (already upstream):
      - format-security.patch
      - kexec-Increase-the-upper-limit-for-RAM-segments.patch
      - ppc64-Reduce-number-of-ELF-LOAD-segments.patch
      - 0001-kexec-extend-the-semantics-of-kexec_iomem_for_each_l.patch
      - 0002-kexec-generalize-and-rename-get_kernel_stext_sym.patch
      - 0003-arm64-identify-PHYS_OFFSET-correctly.patch
      - 0004-arm64-change-return-values-on-error-to-negative.patch
      - 0005-arm64-kdump-identify-memory-regions.patch
      - 0006-arm64-kdump-add-elf-core-header-segment.patch
      - 0007-arm64-kdump-set-up-kernel-image-segment.patch
      - 0008-arm64-kdump-set-up-other-segments.patch
      - 0009-arm64-kdump-add-DT-properties-to-crash-dump-kernel-s.patch
      - 0010-arm64-kdump-Add-support-for-binary-image-files.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 30 Aug 2017 10:02:25 +0200

kexec-tools (1:2.0.14-1ubuntu5) artful; urgency=medium

  * Packaging cleanup, no functional change:
    - Remove patch accidentally added, but not applied, in last upload:
      0011-Handle-additional-e820-memmap-type-strings.patch.
    - Remove patch dropped from series in 2.0.14-1, but still being
      carried after Ubuntu merge: lp1546260-fix-purgatory-fail-gcc5.patch.

 -- dann frazier <dannf@ubuntu.com>  Fri, 09 Jun 2017 09:58:43 -0600

kexec-tools (1:2.0.14-1ubuntu4) artful; urgency=medium

  * Add backport of upstream arm64 crashdump support (LP: #1694859).

 -- dann frazier <dannf@ubuntu.com>  Thu, 08 Jun 2017 17:18:49 -0600

kexec-tools (1:2.0.14-1ubuntu3) zesty; urgency=medium

  * kexec: Increase the upper limit for RAM segments (LP: #1663400)

 -- Manoj Iyer <manoj.iyer@canonical.com>  Tue, 14 Feb 2017 14:00:14 +0000

kexec-tools (1:2.0.14-1ubuntu2) zesty; urgency=medium

  [ Manoj Iyer ]
  * Enable compressed kernel support for ARM64 (LP: #1661363).

  [ dann frazier ]
  * ppc64-Reduce-number-of-ELF-LOAD-segments.patch: Cherry-pick
    from upstream, fixing kexec on some large memory configurations
    (LP: #1661168).

 -- dann frazier <dannf@ubuntu.com>  Fri, 03 Feb 2017 14:49:31 -0700

kexec-tools (1:2.0.14-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile
    - Don't call db_stop from the postinst.
    - Adjust INITCONFFILE to vmlinux if used
    - Use format-security.patch instead of const_string_warning.patch
    - Add maintainer script helper to handle removal of conffile
      /etc/default/grub.d/kexec-tools.cfg has been removed.
      Handle it properly
    - Add Breaks: statement toward kdump-tools
       Starting with kdump-tools 1:1.5.9-6, this package takes
       over the addition of crashkernel= parameter which has
       been removed from kexec-tools.
       Make sure that it is upgraded accordingly.
  * Debian merge adds arm64 support (LP: #1659618).

 -- dann frazier <dannf@ubuntu.com>  Wed, 01 Feb 2017 12:48:15 -0700

kexec-tools (1:2.0.10-2ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable.(LP: #1587479)  Remaining changes:
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile
    - Don't call db_stop from the postinst.
    - Adjust INITCONFFILE to vmlinux if used
    - Use format-security.patch instead of const_string_warning.patch
    - Drop unneeded patches (all fixed upstream and not in series) :
       d/p/fix-callback-functions-given-to-kexec_iomem_for_each_line.patch
       d/p/kdump_makefile.patch
       d/p/kexec-p-fails-to-load-kernels-with-version-x.y.patch
    - [PowerPC64] Fix failure in purgatory when compiled with gcc5
       Application of upstream fixes so kexec-tools work with gcc5 on PowerPC64
       commit 4a2ae3a39c64dc43e9d094be9541253234ff4822,
       1e423dc297d10eb7ff25c829d2856ef12fc81d77,
       3debb8cf3272216119cb2e59a4963ce3c18fe8e3
  * New changes:
    - Add maintainer script helper to handle removal of conffile
      /etc/default/grub.d/kexec-tools.cfg has been removed.
      Handle it properly
    - Add Breaks: statement toward kdump-tools
       Starting with kdump-tools 1:1.5.9-6, this package takes
       over the addition of crashkernel= parameter which has
       been removed from kexec-tools.
       Make sure that it is upgraded accordingly.
  * Dropped changes from previous merge
    - Add and install kdump init script and initramfs snippet :
      kdump script in initramfs replaced by kexec-tools long ago
    - Call to update-grub to update boot args with crashkernel= :
      Now handled by kexec-tools (>= 1:1.5.9-6)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 02 Jun 2016 13:22:49 +0200
